libetonyek::IWORKMedia Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKMedia ()

## Public Attributes
IWORKGeometryPtr_t | m_geometry
IWORKGeometryPtr_t | m_cropGeometry
IWORKStylePtr_t | m_style
boost::optional< int > | m_order
bool | m_locked
boost::optional< bool > | m_placeholder
boost::optional< IWORKSize > | m_placeholderSize
IWORKMediaContentPtr_t | m_content

## Constructor & Destructor Documentation

## ◆ IWORKMedia()

libetonyek::IWORKMedia::IWORKMedia | ( |  | ) |

## Member Data Documentation

## ◆ m_content

IWORKMediaContentPtr_t libetonyek::IWORKMedia::m_content

Referenced by IWORKMedia().

## ◆ m_cropGeometry

IWORKGeometryPtr_t libetonyek::IWORKMedia::m_cropGeometry

Referenced by IWORKMedia().

## ◆ m_geometry

IWORKGeometryPtr_t libetonyek::IWORKMedia::m_geometry

Referenced by IWORKMedia().

## ◆ m_locked

bool libetonyek::IWORKMedia::m_locked

Referenced by IWORKMedia().

## ◆ m_order

boost::optional<int> libetonyek::IWORKMedia::m_order

Referenced by IWORKMedia().

## ◆ m_placeholder

boost::optional<bool> libetonyek::IWORKMedia::m_placeholder

Referenced by IWORKMedia().

## ◆ m_placeholderSize

boost::optional<IWORKSize> libetonyek::IWORKMedia::m_placeholderSize

Referenced by IWORKMedia().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKMedia::m_style

Referenced by IWORKMedia().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp